IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[V_EST_PED_VD_TIPO_PREFATURA]'))
DROP VIEW [dbo].[V_EST_PED_VD_TIPO_PREFATURA]
GO 
GO
--SELECT * FROM V_EST_PED_VD_TIPO_PREFATURA
CREATE VIEW V_EST_PED_VD_TIPO_PREFATURA
AS
SELECT
0 AS TIPO_PREFATURA,
'PEDIDO DE VENDAS' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
1 AS TIPO_PREFATURA,
'REQUISIÇÃO MERCADORIAS' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
2 AS TIPO_PREFATURA,
'CONSIGNADO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
3 AS TIPO_PREFATURA,
'ORÇAMENTO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
4 AS TIPO_PREFATURA,
'TRANSFERÊNCIA' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
5 AS TIPO_PREFATURA,
'ENVIO DE EXCESSO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
6 AS TIPO_PREFATURA,
'DESOVA DE PRODUTOS' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
7 AS TIPO_PREFATURA,
'PRÉ-FATURA DE ENTRADA DE PRODUTOS' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
8 AS TIPO_PREFATURA,
'PRÉ-FATURA DE AJUSTE DE ESTOQUE DE BALANÇO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
9 AS TIPO_PREFATURA,
'PRÉ-FATURA DE AJUSTE DE ESTOQUE DEFINITIVO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
10 AS TIPO_PREFATURA,
'PRÉ-FATURA DE TRANSFERÊNCIA POR REQUISIÇÃO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
11 AS TIPO_PREFATURA,
'TRANSFERÊNCIA DE MATERIAL DE USO E CONSUMO' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
12 AS TIPO_PREFATURA,
'PRÉ-FATURA DE TRANSPOSIÇÃO DE ESTOQUE' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
13 AS TIPO_PREFATURA,
'PRÉ-FATURA DE INCINERAÇÃO DE ESTOQUE' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
14 AS TIPO_PREFATURA,
'DEVOLUÇÃO DE COMPRAS' AS DS_TIPO_PREFATURA
UNION ALL
SELECT
15 AS TIPO_PREFATURA,
'DEVOLUÇÃO DE VENDAS' AS DS_TIPO_PREFATURA
 